**Ley de Hooke:** $\sigma=E\varepsilon$
![](Pasted image 20241017210008.png)
![](Pasted image 20241017201832.png)

* $A = \frac{\Delta l}{l_0}$: Alargamiento de rotura ($\%$)
* $Z = \frac{\Delta S}{S_0}$: Estricción de rotura ($\%$)
* $w = \int{\sigma\ d\varepsilon}$: Trabajo realizado al alcanzar una tensión ($\frac{\text{deformación}}{\text{unidad de volumen}}$)
* $w = \int{F\ dl}$: Trabajo de deformación

# Ensayos de Dureza
### Ensayo de Brinell
| ![](Pasted image 20241017210211.png) | ![](Pasted image 20241017210225.png) |
| ------------------------------------ | ------------------------------------ |
Los grados Brinell se calculan como $HB=\frac{F}{S}$ ($F = kp$, $S = mm^2$), siendo la superficie calculada con $S=\pi D f$.

Para calcular a $f$ en función de los diámetros de la bola y de la huella se puede usar
$$
f = \frac{D \pm \sqrt{D^2 - d^2}}{2}
$$

##### Inconvenientes
- No se pueden usar en piezas de espesores pequeños
- No se puede utilizar en superficies curvas
- Solo se puede usar en material de dureza baja (menor que el penetrador)

### Ensayo de Vickers
| ![](Pasted image 20241017211222.png) | ![](Pasted image 20241017211235.png) |
| ------------------------------------ | ------------------------------------ |
En este caso se utiliza como penetrador una pirámide de base cuadrada cuyas caras laterales forman un ángulo de 136º. Lo que se hace es medir la diagonal de la huella que deja el penetrador sobre el material. Se usan fuerzas pequeñas ($1kp - 120kp$), normalmente $30 kp$.

Con respecto a Brinell:
- Se puede usar con materiales duros y blandos.
- Los espesores de las piezas pueden ser pequeños.

Se calcula con $HV=\frac{1.854 \cdot F}{d^2}$ ($F = kp$, $d = mm$)

### Ensayo de Rockwell
* El ensayo de Brinell no permite medir la dureza de los aceros templados porque se deforman las bolas. Con el ensayo de Rockwell se mide la profundidad de la huella.
* Es fácil y rápido, pero poco preciso.
* Se puede usar en materiales:
    * Duros: Para los que se usa un cono de diamante (HRC)
    * Blandos: Para el que se usa una bola (HRB)

![](Pasted image 20241017214311.png)
👍

### Ensayo de Charpy o de resiliencia

| ![](Pasted image 20241017220307.png) | ![](Pasted image 20241017220332.png) |
| ------------------------------------ | ------------------------------------ |
El punto medio se suele entallar en forma de V o de U, a esta resistencia se la llama KCU o KCV respectivamente. Se calcula dividiendo la energía consumida por el material en la rotura en sus posiciones inicial y final.
$$
W = P(h_0-h_f) = P \cdot L \cdot (\cos\beta - \cos\alpha)
$$

* $P$: peso del péndulo ($kg$)
* $L$: longitud del péndulo ($m$)
* $W$: energía de rotura ($kg \cdot m$)
* $\alpha$ y $\beta$: ángulos del péndulo
$$
KCV/KCU\ (\tfrac{J}{m^2}) = \frac{W}{S_0} \longrightarrow \rho = \frac{\Delta E_P}{S} = \frac{m \cdot g \cdot (H - h)}{S}
$$
* $S$/$S_0$: Sección en la zona de entrada (sin contar la entalladura)
